<div class="card m-1">
    <div class="card-header">
        Forma de Pago
        <strong class="text-primary ml-1"> #Cheque {{ cheque.iCheque }}</strong>
    </div>
    <div class="card-body">
        <div class="row">
            <div class="form-group col col-md-4 col-xl-2">
                <label for="descuento">% Desc.</label>
                <input type="number" class="form-control" name="descuento" min="0" max="100" pattern="^[\d.]+$"
                    [(ngModel)]="formPago.descuento" (change)="cambioDescuento(formPago.descuento)"
                    [readOnly]="cheque.pea === 'C' || !clase.cdescto">
            </div>
            <div class="form-group col col-md-8 col-xl-5">
                <label for="notas">Notas</label>
                <input type="text" class="form-control" name="notas" [(ngModel)]="formPago.notas" readonly>
            </div>
            <div class="form-group col col-md-6 col-xl-2">
                <label for="servicio">Servicio</label>
                <input type="number" class="form-control" name="servicio" min="0" pattern="^[\d.]+$"
                    [(ngModel)]="formPago.servicio" (change)="cambiarServicio(formPago.servicio)"
                    [disabled]="!clase.cprop || cheque.pea === 'C'">
            </div>
            <div class="form-group col col-md-6 col-xl-3">
                <label for="cuarto">Cuarto</label>
                <div class="input-group">
                    <input type="text" class="form-control" name="cuarto"
                        (change)="changeBuscarCuarto(habitacion.cuarto)" [(ngModel)]="habitacion.cuarto"
                        [readOnly]="!clase.ccuarto || cheque.pea !== 'I'">
                    <div class="input-group-append" (click)="openModal(modalBuscar)"
                        *ngIf="clase.ccuarto && cheque.pea === 'I'">
                        <span class="input-group-text">
                            <i class="fa fa-search"></i>
                        </span>
                    </div>
                    <div class="input-group-append" (click)="openModal(modalHuesped, 'md')" *ngIf="habitacion.cuarto">
                        <span class="input-group-text" [ngClass]="{'bg-danger': !habitacion.limite, 'bg-success': habitacion.limite, 
                                                                   'bg-light': !habitacion.cuarto, 'text-white': habitacion.cuarto 
                                                                 }">
                            <i class="fa fa-bed"></i></span>
                    </div>
                </div>
            </div>
        </div>
        <div class="row m-1">
            <ng-container *ngFor="let codigo of dataCodigos; let index = index;">
                <button class="col-6 col-sm-6 col-md-4 col-lg-4 col-xl-3 py-4 btn btn-class"
                    (click)="seleccionaFp(codigo);" [disabled]="!totalPagado.balance"
                    [ngClass]="{'btn-success': codigo === codigoSelect, 'btn-light': codigo !== codigoSelect }">{{ codigo.cdesc }}
                </button>
            </ng-container>
        </div>
    </div>
</div>
<div class="card mb-1 mx-1" *ngIf="fpSelected">
    <div class="card-header">
        Cantidad a Pagar
        <strong class="ml-1" *ngIf="codigoSelect">({{ codigoSelect.cdesc }})</strong>
    </div>
    <div class="card-body">
        <ng-container *ngIf="codigoSelect">
            <form (ngSubmit)="saveRecord(formPago.value)" #formPago="ngForm" novalidate="">
                <div class="row my-2">
                    <div class="form-group row col-md-12 col-lg-6 col-xl-6">
                        <label for="voucher" class="col-4 text-right col-form-label">Voucher</label>
                        <div class="col-8">
                            <input type="text" class="form-control form-control-lg" name="voucher"
                                [(ngModel)]="nuevoPago.voucher" style="font-size: 1.5rem;width: 100%;"
                                [readOnly]="updatePago">
                        </div>
                    </div>
                    <div class="form-group row col-md-12 col-lg-6 col-xl-6">
                        <label for="moneda" class="col-4 text-right col-form-label">Moneda</label>
                        <div class="col-8">
                            <kendo-combobox [data]="dataMonedas" [textField]="'mdesc'" [valueField]="'Moneda'"
                                [valuePrimitive]="true" name="moneda" [(ngModel)]="nuevoPago.moneda"
                                [disabled]="updatePago" style="font-size: 1.5rem;width: 100%;" required>
                            </kendo-combobox>
                        </div>
                    </div>
                    <div class="form-group row col-md-12 col-lg-6 col-xl-6">
                        <label for="subtotal" class="col-4 text-right col-form-label">Sub-Total</label>
                        <div class="col-8">
                            <input type="number" name="subtotal" #subtotal step="0.01"
                                class="form-control form-control-lg" [(ngModel)]="nuevoPago.subtotal"
                                (change)="cambioPagoSubtotal()" style="font-size: 1.5rem;" pattern="^[\d.]+$">
                        </div>
                    </div>
                    <div class="form-group row col-md-12 col-lg-6 col-xl-6">
                        <label for="servicio" class="col-4 text-right col-form-label">Servicio</label>
                        <div class="col-8">
                            <input type="number" name="servicio" #servicio min="0" pattern="^[\d.]+$"
                                class="form-control form-control-lg" (change)="cambioPagoServicio()"
                                [(ngModel)]="nuevoPago.servicio" style="font-size: 1.5rem;">
                        </div>
                    </div>
                </div>
                <div class="d-flex justify-content-center">
                    <button class="btn btn-shadow btn-secondary py-3 m-1 col-md-5 col-lg-4 col-xl-3"
                        (click)="codigoSelect = null">Cerrar</button>
                    <button class="btn btn-shadow btn-primary py-3 m-1 col-md-5 col-lg-4 col-xl-3" (click)="savePago()"
                        *ngIf="!loadingClick" [disabled]="!formPago.valid">
                        <i class="fa fa-check mr-2"></i>Pagar
                        {{ nuevoPago.subtotal + nuevoPago.servicio | number:'.2-2' }}
                    </button>
                </div>
            </form>
        </ng-container>
        <ng-container *ngIf="!codigoSelect">
            <div class="row d-flex justify-content-center align-items-center">
                <div class="card-title">Balance:
                    <span [ngClass]="{'text-success': !totalPagado.balance, 'text-danger': totalPagado.balance }">
                        {{ totalPagado.balance | number:'.2-2' }}
                    </span>
                </div>
                <div id="total-pagado">
                    <div class="row">
                        <label for="subtotal" class="col-5 text-right">Sub-Total Pagado</label>
                        <div class="col-7">
                            <input type="text" class="form-control text-right" name="subtotal"
                                [value]="totalPagado.subtotal | number:'.2-2'" readonly>
                        </div>
                    </div>
                    <div class="row">
                        <label for="servicio" class="col-5 text-right">Servicio Pagado</label>
                        <div class="col-7">
                            <input type="text" class="form-control text-right" name="servicio"
                                [value]="totalPagado.servicio | number:'.2-2'" readonly>
                        </div>
                    </div>
                    <div class="row">
                        <label for="total" class="col-5 text-right">Total Pagado</label>
                        <div class="col-7">
                            <input type="text" class="form-control text-right" name="total"
                                [value]="totalPagado.total | number:'.2-2'" readonly>
                        </div>
                    </div>
                </div>
            </div>
        </ng-container>
    </div>
</div>

<ng-template #modalHuesped let-c="close" let-d="dismiss">
    <div class="modal-header">
        <h6 class="modal-title">
            <i class="fas fa-bed mr-2"></i>Información del Huesped
        </h6>
        <button class="close" aria-label="Close" (click)="c()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <app-info-huesped [huesped]="huesped"></app-info-huesped>
    </div>
    <div class="modal-footer">
        <button class="btn btn-secondary" (click)="c()">Cerrar</button>
    </div>
</ng-template>


<ng-template #modalBuscar let-c="close" let-d="dismiss">
    <div class="modal-header">
        Buscar Huesped
    </div>
    <div class="modal-body">
        <app-buscar (resultFolio)="resultHuesped($event); c();"></app-buscar>
    </div>
    <div class="modal-footer">
        <button class="btn btn-shadow btn-primary" (click)="c('Close click')">Cerrar</button>
    </div>
</ng-template>